//content       does the per connection stuff for event connections
//homepage      http://www.rzuser.uni-heidelberg.de/~mkleinma/VTQL/
//Copyright (C) 2000-2002 Matthias Kleinmann <Matthias.Kleinmann@gmx.de>

#ifndef CONNECTION_EVENT_H
#define CONNECTION_EVENT_H

#include "connection.h"
#include "region.h"
#include "db.h"

class Server;
namespace vt_tv{class PageTyp;}

class Connection_event
:public Connection_base,
 private thread::CallBack<Database::CallBType>::CBFunct
{
 public:
  Connection_event(const Connection_event&);//no implementation
  Connection_event(int,VTQL::UserMode,Server&);
  virtual ~Connection_event();

  virtual bool Add2Poll(SockWait&)const;
  virtual bool Run(bool);
 private:
  Server& server; //server, we are connected to
  size_t iCallBID;
  Inp_C Inp;
  Outp_C Outp;

  VTQL::ShowMode el;
  void SetMode(VTQL::ShowMode _el){el=_el;}

  SearchQueue::SmartRP regMatch;
  std::string sMatch;
  void SetMatch(const std::string&);
  virtual void operator()(const Arg&);
};

#endif
