//content       stuff to exectue console_vt commands
//homepage      http://www.rzuser.uni-heidelberg.de/~mkleinma/VTQL/
//Copyright (C) 2002 Matthias Kleinmann <Matthias.Kleinmann@gmx.de>

#ifndef COMMAND_EXEC_H
#define COMMAND_EXEC_H

#include <string>
#include <list>
#include <libvtql/vtql_query.h>
#include <libvtql/vtql_event.h>

class Exec{
 public:
  Exec(const std::string&,const std::string&);

  std::list<VTQL::PgInfo> liPg;

  std::string Prompt();
  void ShowPage(VTQL::PgInfo,bool);
  void ListStation();
  void FindStation(const std::string&); //if =="*" find latest
  void Wait4Page(bool,const std::string&,bool);

  VTQL::Query_generic query;
  VTQL::Event_generic event;
  size_t iSt;
 private:
  std::string sSt;
  std::string sOldCL;
};

void Run(const std::string&,const std::string&,bool=false);

#endif
