//Copyright (C) 2000-2002 Matthias Kleinmann <Matthias.Kleinmann@gmx.de>

#include "glob_defs.h"
#include "../config.h"

namespace glob_defs{

const unsigned iIgnorePages=3;
const unsigned iMainPollWait=100;
const unsigned iMaxInpBytes=1000;   //must hold the longest command possible
const unsigned iMaxOutpLines=1000;  //max number of output lines (stops exec of
                                    //new commands and does no event outp if > )
const unsigned iVTBufferS=100; //anything >0 is good.
const unsigned ipRegionBases[]={10,0,16,16,10};

const char cpWarranty[]=
"Copyright (C) 2000-2002 Matthias\n"
" Kleinmann <Matthias.Kleinmann@gmx.de>\n"
"  [VTQL,database]\n"
"Copyright (C) 1998-2000  Edgar Toernig\n"
" <froese@gmx.de> [vbi decoding]\n"
"\n"
"This program is  free software;  you can\n"
"redistribute  it and/or modify it  under\n"
"the  terms  of  the GNU  General  Public\n"
"License   as   published  by   the  Free\n"
"Software Foundation; either version 2 of\n"
"the  License,  or (at  your option)  any\n"
"later version.\n"
"\n"
"This program  is distributed in the hope\n"
"that it will be useful,  but WITHOUT ANY\n"
"WARRANTY;   without  even  the   implied\n"
"warranty  of MERCHANTABILITY  or FITNESS\n"
"FOR  A PARTICULAR  PURPOSE.  See the GNU\n"
"General Public License for more details.\n"
"\n"
"You should  have received  a copy of the\n"
"GNU  General Public  License  along with\n"
"this program; if not, write to the\n"
"Free Software  Foundation,  Inc.,\n"
"59 Temple Place - Suite 330,\n"
"Boston, MA 02111-1307, USA.";

const char cpVersion[]="VTQLserver version "SERVER_VERSION;

const char cpGreeting[]=
"Copyright (C) 2000-2002 Matthias\n"
" Kleinmann <Matthias.Kleinmann@gmx.de>\n"
"VTQLserver  comes  with   ABSOLUTELY  NO\n"
"WARRANTY. This is free software, and you\n"
"are  welcome  to  redistribute it  under\n"
"certain conditions.\n"
"Type \"show info\" for license details.\n";

const char cpHelp[]="Available commands:";

const char cpCmdLineHelp[]=
"Usage: VTQLserver -h|--help|-v|--version|<[--] socket_name >\n"
"\n"
" Examples:\n"
"  VTQLserver -v\n"
"  VTQLserver $(HOME)/.vtql-socket.root\n"
"  VTQLserver -- -socket_name_with_dash\n"
"\n"
" Options:\n"
"  -h,--help        show this text and exit\n"
"  -v,--version     show some version info and exit\n"
"  socket_name      The filename of the socket, that will be opened by the\n"
"                   server on start. This socket will be in configuration\n"
"                   mode and any fruther configuration of the server will be\n"
"                   via this socket. The server will fork itself into\n"
"                   background after the socket was sucessfully opend.\n"
"\n"
" See also:\n"
"  VTQLinit, VTQLserv_start, VTQLrc\n";
};
