/* from Edgar Toernig <froese@gmx.de> 's alevt 1.6.0 package 
   2000,2001: changed by Matthias Kleinmann <Matthias.Kleinmann@gmx.de> to
   compile as C++

   Copyright (C) 1998,1999,2000 Edgar Toernig (froese@gmx.de)
   All rights reserved.
*/

#ifndef LANG_H
#define LANG_H

#include "misc.h"
#include "vt.h"

extern int latin1;

struct enhance
{
    int next_des;	// next expected designation code
    u32 trip[13*16];	// tripplets
};

void lang_init(void);
void conv2latin(u8 *p, int n, int lang);

void init_enhance(struct enhance *eh);
void add_enhance(struct enhance *eh, int dcode, u32 *data);
/* begin change by Matthias Kleinmann */
void do_enhance(struct enhance *eh, struct vt_page *vtp);

#endif
/* end change */
