//Copyright (C) 2000-2002 Matthias Kleinmann <Matthias.Kleinmann@gmx.de>
#include "vtql_event.h"
#include "vtql_utils.h"

using namespace VTQL;

bool Event_generic::Process(bool bWait){
 Poll(bWait);
 while(iLC<0 && InpLineC())if(FetchLine().empty())iLC=0;
 if(iLC<0)return false;

 while(InpLineC()){
  std::string sL=FetchLine();
  if(!iLC){
   std::string sC=sL;
   NextSep(' ',sC);
   NextSep(' ',sC);
   bLM=(NextSep(' ',sC)=="LIST");
   
  }
  cb.Run(make_pair(iLC+1,sL));
  iLC=(iLC+1)%(bLM?2:(VT_HEIGHT+2));
  if(!iLC)return true;
 }
 return false;
}

bool CEModul::Wait(bool b){
 if(!b){
  if(CModul::Wait(false)&&bMatch){bMatch=false;return true;}
  else return false;
 }

 while(!(CModul::Wait(true)&&bMatch));
 bMatch=false;
 return true;
}


CEModul::CEModul(Event_generic& _qc,
 const std::string& s,ShowMode sm):
 CModul(_qc),sMatch(s),sMode(cppShowModes[int(sm)]),bMatch(false){
 Start_Query(std::string("PAGE ")+EscapeString(sMatch)+" "+sMode);
}

void CEModul::operator()(const Arg& p){
 if(p.first==1){
  std::string sC=p.second;
  NextSep(' ',sC);
  bMatch=(NextSep(' ',sC)==sMatch);
  bMatch=bMatch&&(NextSep(' ',sC)==sMode);
 }else Handle(p);
}

void EM_PageAlevt::Handle(const Arg& p){
 if(alevtpg.ReadLine(p.second))pginfo=PgInfo(p.second);
}


